#!/bin/sh
# Please create a "normal" user with uid = 1026 first.
rm /var/packages/CMS/target/db/cms_db.sqlite
/usr/syno/bin/sqlite3 /var/packages/CMS/target/db/cms_db.sqlite < /var/packages/CMS/scripts/create_table.sql

# root(ou, id=0)
#  |- first_1(ou)
#  |- first_2(ou) === delegate to ===> uid=1026
#        |- second_5(ou)
#              |- ds5(ds)
#        |- second_6(ou)
#              |- ds6(ds)
#        |- ds2(ds)
#  |- first_3(ou)
#        |- second_7(ou) === delegate to ===> uid=1026
#              |- third_9(ou)
#                   |- fourth_10(ou)
#                        |- ds8(ds)
#                        |- ds9(ds) === delegate to ===> uid=1024, uid=1026
#              |- ds7(ds)
#        |- second_8(ou)
#        |- ds3(ds)
#  |- frist_4(ou) === delegate to ===> uid=1024
#        |- ds4(ds)
#  |- ds1(ds)



/var/packages/CMS/target/tools/synocmsou --create name=first_1 parent_id=0
/var/packages/CMS/target/tools/synocmsou --create name=first_2 parent_id=0
/var/packages/CMS/target/tools/synocmsou --create name=first_3 parent_id=0
/var/packages/CMS/target/tools/synocmsou --create name=first_4 parent_id=0
/var/packages/CMS/target/tools/synocmsou --create name=second_5 parent_id=2
/var/packages/CMS/target/tools/synocmsou --create name=second_6 parent_id=2
/var/packages/CMS/target/tools/synocmsou --create name=second_7 parent_id=3
/var/packages/CMS/target/tools/synocmsou --create name=second_8 parent_id=3
/var/packages/CMS/target/tools/synocmsou --create name=third_9 parent_id=7
/var/packages/CMS/target/tools/synocmsou --create name=fourth_10 parent_id=9

/var/packages/CMS/target/tools/synocmsds --create sn=1111 host=1 hostname=ds1 sid=1 syno_token=1 http_port=1 parent_id=1
/var/packages/CMS/target/tools/synocmsds --create sn=2222 host=2 hostname=ds2 sid=2 syno_token=2 http_port=2 parent_id=2
/var/packages/CMS/target/tools/synocmsds --create sn=3333 host=3 hostname=ds3 sid=3 syno_token=3 http_port=3 parent_id=3
/var/packages/CMS/target/tools/synocmsds --create sn=4444 host=4 hostname=ds4 sid=4 syno_token=4 http_port=4 parent_id=4
/var/packages/CMS/target/tools/synocmsds --create sn=5555 host=5 hostname=ds5 sid=5 syno_token=5 http_port=5 parent_id=5
/var/packages/CMS/target/tools/synocmsds --create sn=6666 host=6 hostname=ds6 sid=6 syno_token=6 http_port=6 parent_id=6
/var/packages/CMS/target/tools/synocmsds --create sn=7777 host=7 hostname=ds7 sid=7 syno_token=7 http_port=7 parent_id=7
/var/packages/CMS/target/tools/synocmsds --create sn=8888 host=8 hostname=ds8 sid=8 syno_token=8 http_port=8 parent_id=10
/var/packages/CMS/target/tools/synocmsds --create sn=9999 host=9 hostname=ds9 sid=9 syno_token=9 http_port=9 parent_id=10

# user_type: 8(ugid=uid), 9(ugid=gid)
# target_type: 1(target_id=ds_id), 2(target_id=ou_id)
/var/packages/CMS/target/tools/synocmsdelegate --create user_type=8 ugid=1026 target_type=2 target_id=2
/var/packages/CMS/target/tools/synocmsdelegate --create user_type=8 ugid=1026 target_type=2 target_id=7
/var/packages/CMS/target/tools/synocmsdelegate --create user_type=8 ugid=1026 target_type=1 target_id=9
/var/packages/CMS/target/tools/synocmsdelegate --create user_type=8 ugid=1024 target_type=2 target_id=4
/var/packages/CMS/target/tools/synocmsdelegate --create user_type=8 ugid=1024 target_type=1 target_id=9

/var/packages/CMS/target/tools/synocmsds --listbyuid uid=1024 # admin should list all ds (1~9)
echo "answer is ds1 ~ ds9"
/var/packages/CMS/target/tools/synocmsds --listbyuid uid=1026 # normal user should list ds: 2, 5, 6, 7 ,8 ,9
echo "answer is ds2, 5, 6, 7, 8, 9"

/var/packages/CMS/target/tools/synocmsou --listbyuid uid=1024 # admin should list all ou (root, 1~10)
echo "answer is root, 1 ~ 10"
/var/packages/CMS/target/tools/synocmsou --listbyuid uid=1026 # normal user should list ou: 2, 5, 6, 7 ,9, 10
echo "answer is 2, 5, 6, 7, 9, 10"



